## primrose 6%2Bdfsg1

=== debian/changelog ===
primrose (6+dfsg1-4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:54:40 +0100

primrose (6+dfsg1-4) unstable; urgency=medium

  * Fix build reproducibility issues due to use of imagemagick (Closes: #778481)

 -- Paul Wise <pabs@debian.org>  Tue, 01 Aug 2017 10:33:16 -0400

primrose (6+dfsg1-3) unstable; urgency=low

  * Wrap and sort various files
  * Switch to debhelper compat 9
  * Fix and use canonical Vcs-* URLs
  * Fix dpkg-buildflags use, add more hardening
  * Bump Standards-Version
  * Add some keywords to the freedesktop menu file

 -- Paul Wise <pabs@debian.org>  Sun, 07 Jul 2013 15:15:52 +0800

primrose (6+dfsg1-2) unstable; urgency=low

  * Switch to dpkg-source v3
  * Clean up patch headers
  * Add missing build-dep on OpenGL headers
  * Switch to debhelper dh rules.tiny style
  * Keep upstream capitalization, add symlinks
  * Improve situation with icons
  * Drop README.Debian, it is not useful to users
  * Bump Standards-Version, no changes needed

 -- Paul Wise <pabs@debian.org>  Thu, 10 Feb 2011 17:31:18 +0800

primrose (6+dfsg1-1) unstable; urgency=low

  * New upstream release
  * Fix default permissions in the settings patch
  * Some improvements to the get-orig-source target
  * Drop the use of dh_desktop since it was replaced by a trigger

 -- Paul Wise <pabs@debian.org>  Sun, 17 May 2009 18:45:59 +0800

primrose (5+dfsg1-1) unstable; urgency=low

  [ Paul Wise ]
  * Initial release (Closes: #522753)

  [ Christoph Egger ]
  * Search for date in /usr/share

 -- Paul Wise <pabs@debian.org>  Mon, 06 Apr 2009 19:26:56 +0800

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export PNGRBT=-define png:exclude-chunk=time
export PNGRBTD=+set date:create +set date:modify $(PNGRBT)

%:
	dh $@ --parallel

override_dh_auto_configure:
	chmod u+x tilePlacementGames/game1/configure
	cd tilePlacementGames/game1 && platformSelection=1 ./configure

override_dh_auto_build:
	mkdir -p 256x256 128x128 64x64 32x32
	convert -scale 256x256 tilePlacementGames/game1/gameSource/iPhone/largeIcon2.png $(PNGRBTD) 256x256/primrose.png 
	cp -f tilePlacementGames/game1/build/macOSX/iconColor.png 128x128/primrose.png
	convert -background None -gravity center -extent 64x64 tilePlacementGames/game1/gameSource/iPhone/icon.png $(PNGRBTD) 64x64/primrose.png
	cp -f tilePlacementGames/game1/build/win32/icon.png 32x32/primrose.png
	convert 32x32/primrose.png 32x32/primrose.xpm
	$(MAKE) -C tilePlacementGames/game1/gameSource PLATFORM_LINK_FLAGS="-lGL -lSDL -lpthread $(LDFLAGS)" PLATFORM_COMPILE_FLAGS="$(CXXFLAGS) $(CPPFLAGS) -DETCDIR=\\\"/etc/primrose\\\" -DDATADIR=\\\"/usr/share/games/primrose/\\\""

override_dh_auto_clean:
	[ ! -f tilePlacementGames/game1/gameSource/Makefile ] || $(MAKE) -C tilePlacementGames/game1/gameSource clean
	rm -f tilePlacementGames/game1/gameSource/Makefile
	rm -f tilePlacementGames/game1/gameSource/Makefile.minorGems_dependencies
	rm -rf 256x256 128x128 64x64 32x32

override_dh_installchangelogs:
	dh_installchangelogs tilePlacementGames/game1/documentation/changeLog.txt

V=6
P=Primrose
p=primrose
sfp=primrose/primrose-game

get-orig-source:
	wget -c http://downloads.sourceforge.net/project/$(sfp)/v$(V)/$(P)_$(V)_UnixSource.tar.gz
	tar zxf $(P)_$(V)_UnixSource.tar.gz
	# Pre-built Windows libraries, unused
	rm $(P)_$(V)_UnixSource/tilePlacementGames/game1/build/win32/*.dll
	# non-free, unused
	rm -r $(P)_$(V)_UnixSource/minorGems/util/development/fortify
	rm $(P)_$(V)_UnixSource/minorGems/graphics/openGL/tga.*
	rm $(P)_$(V)_UnixSource/minorGems/graphics/openGL/texture.*
	mv $(P)_$(V)_UnixSource $(p)-$(V)+dfsg1.orig
	tar zcf ../$(p)_$(V)+dfsg1.orig.tar.gz $(p)-$(V)+dfsg1.orig
	rm -r $(P)_$(V)_UnixSource.tar.gz $(p)-$(V)+dfsg1.orig

## primrose 6+dfsg1

=== minorGems/util/development/leakTracer/Makefile ===
#
# Modification History
#
# 2004-January-16    Jason Rohrer
# Switched to use minorGems platform-independed mutexes.
#


CC = g++

# Source files
SRC := LeakTracer.cc

ROOT_PATH = ../../../..

# Switch comment to select a platform
# PLATFORM_MUTEX = $(ROOT_PATH)/minorGems/system/win32/MutexLockWin32.cpp
PLATFORM_MUTEX = $(ROOT_PATH)/minorGems/system/linux/MutexLockLinux.cpp -pthread

# Comment both of these out to disable thread safetly
C_THREAD=-DTHREAD_SAVE -D_REENTRANT -D_THREAD_SAFE
O_THREAD = $(PLATFORM_MUTEX)


# Common flags
C_FLAGS = -g -pipe -Wall -W -I$(ROOT_PATH) $(C_THREAD)
O_FLAGS = $(C_FLAGS) $(O_THREAD)

# Object files
OBJ_DIR = .
OBJ   := $(patsubst %.cc,$(OBJ_DIR)/%.o,$(SRC))
SHOBJ := $(patsubst %.o,$(OBJ_DIR)/%.so,$(OBJ))

.PHONY: all clean tidy distrib test

all: $(OBJ) $(SHOBJ)

clean:	tidy 
	rm -f $(OBJ) leak.out

tidy:
	rm -f *~ *orig *bak *rej

tags:	$(SRC) $(INCL)
	ctags $(SRC) $(INCL)

distrib: clean all README.html
	(cd .. && tar cvfz  /root/drylock/LeakTracer/LeakTracer.tar.gz --exclude LeakTracer/CVS --exclude LeakTracer/old --exclude LeakTracer/test LeakTracer/)

$(OBJ_DIR)/%.o: %.cc
	$(CC) -fPIC -c $(C_FLAGS) $< -o $@

$(OBJ_DIR)/%.so : $(OBJ_DIR)/%.o
	$(CC) $(O_FLAGS) -shared -o $@ $<

README.html: README
	/root/ed/mcl/util/htmlize.pl README

test:
	$(CC) $(C_FLAGS) test.cc -o test
	./test
	./LeakCheck ./test
	./leak-analyze ./test
#	./compare-test test.template test.result

=== debian/control ===
Source: primrose
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Paul Wise <pabs@debian.org>, Christoph Egger <christoph@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 imagemagick,
 libsdl1.2-dev,
 libgl1-mesa-dev | libgl-dev
Standards-Version: 3.9.1
Homepage: http://primrose.sourceforge.net/
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/primrose/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/primrose/?op=log

Package: primrose
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: compelling tile-placement puzzle game
 Primrose is a puzzle game by Jason Rohrer and a departure from his
 previous games.
 .
 Primrose is an exploration into deep gameplay in single-player games. It
 is a tile clearing and placement game with chain reactions and without
 gravity or timing elements. The audio is limited to minimal but dynamic
 sound effects that change with game events and progress. It was designed
 as a casual but engaging and intelligent game for mobile phones.
 .
 The player places pairs of coloured tiles on a 7x7 grid. Tiles are
 cleared by surrounding one colour group with another colour group,
 scoring points. The cleared tiles change the colour of the surrounding
 colour group, allowing for chain reactions that give more points. More
 colours are added as more tiles have been placed on the grid and
 eventually the game will end when the grid fills up.
 .
 Primrose features a networked high score board with instant replay of
 the high scores, a comprehensive tutorial with animated examples, a
 colourblind mode, glowing, pulsating, retro graphics and synth-inspired
 sound effects.

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,7 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-export PNGRBT=-define png:exclude-chunk=time
-export PNGRBTD=+set date:create +set date:modify $(PNGRBT)
-
 %:
-	dh $@ --parallel
+	dh --parallel $@
 
 override_dh_auto_configure:
 	chmod u+x tilePlacementGames/game1/configure
@@ -13,12 +9,12 @@
 
 override_dh_auto_build:
 	mkdir -p 256x256 128x128 64x64 32x32
-	convert -scale 256x256 tilePlacementGames/game1/gameSource/iPhone/largeIcon2.png $(PNGRBTD) 256x256/primrose.png 
+	convert -scale 256x256 tilePlacementGames/game1/gameSource/iPhone/largeIcon2.png 256x256/primrose.png 
 	cp -f tilePlacementGames/game1/build/macOSX/iconColor.png 128x128/primrose.png
-	convert -background None -gravity center -extent 64x64 tilePlacementGames/game1/gameSource/iPhone/icon.png $(PNGRBTD) 64x64/primrose.png
+	convert -background None -gravity center -extent 64x64 tilePlacementGames/game1/gameSource/iPhone/icon.png 64x64/primrose.png
 	cp -f tilePlacementGames/game1/build/win32/icon.png 32x32/primrose.png
 	convert 32x32/primrose.png 32x32/primrose.xpm
-	$(MAKE) -C tilePlacementGames/game1/gameSource PLATFORM_LINK_FLAGS="-lGL -lSDL -lpthread $(LDFLAGS)" PLATFORM_COMPILE_FLAGS="$(CXXFLAGS) $(CPPFLAGS) -DETCDIR=\\\"/etc/primrose\\\" -DDATADIR=\\\"/usr/share/games/primrose/\\\""
+	$(MAKE) -C tilePlacementGames/game1/gameSource PLATFORM_LINK_FLAGS="-lGL -lSDL -lpthread" PLATFORM_COMPILE_FLAGS="$(CFLAGS) -DETCDIR=\\\"/etc/primrose\\\" -DDATADIR=\\\"/usr/share/games/primrose/\\\""
 
 override_dh_auto_clean:
 	[ ! -f tilePlacementGames/game1/gameSource/Makefile ] || $(MAKE) -C tilePlacementGames/game1/gameSource clean
